VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingSpec Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingSpec:

## Avaliable Methods
public method | set_distributed_port ()
public method | get_distributed_port ()
public method | set_network ()
public method | set_type ()
public method | get_network ()
public method | get_type ()
public method | new ()

## Detailed Description

The `Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingSpec` class provides a specification of the physical resource that backs a virtual Ethernet adapter.

## Member Function Documentation

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingSpec::get_distributed_port | ( |  | ) |

Gets the value of 'distributed_port' property.

Return values

  distributed_port | - The current value of the field. Key of the distributed virtual port that backs the virtual Ethernet adapter. Depending on the type of the Portgroup, the port may be specified using this field. If the portgroup type is early-binding (also known as static), a port is assigned when the Ethernet adapter is configured to use the port. The port may be either automatically or specifically assigned based on the value of this field . If the portgroup type is ephemeral, the port is created and assigned to a virtual machine when it is powered on and the Ethernet adapter is connected. This field cannot be specified as no free ports exist before use. Optional#

Code:
click to view
# Number of lines of code in get_distributed_port: 4
sub get_distributed_port {
my ($self, %args) = @_;
return $self->{'distributed_port'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingSpec::get_network | ( |  | ) |

Gets the value of 'network' property.

Return values

  network | - The current value of the field. Identifier of the network that backs the virtual Ethernet adapter. optional#

Code:
click to view
# Number of lines of code in get_network: 4
sub get_network {
my ($self, %args) = @_;
return $self->{'network'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingSpec::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Backing type for the virtual Ethernet adapter. BackingType#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingSpec::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingSpec structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 30
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
$validatorList = [
new Com::Vmware::Vapi::Data::UnionValidator(
'discriminant_name' => 'type',
'case_map' => {
'STANDARD_PORTGROUP' => ['network'],
'DISTRIBUTED_PORTGROUP' => ['network', 'distributed_port'],
'OPAQUE_NETWORK' => ['network'],
'HOST_DEVICE' => [],
}),
];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{type} = $args{'type'};
$self->{network} = $args{'network'};
$self->{distributed_port} = $args{'distributed_port'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingSpec');
$self->set_binding_name('name' => 'com.vmware.vcenter.vm.hardware.ethernet.backing_spec');
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware', 'type_name' => 'Ethernet::BackingType'));
$self->set_binding_field('key' => 'network', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'distributed_port', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingSpec::set_distributed_port | ( |  | ) |

Sets the given value for 'distributed_port' property.

Parameters

  distributed_port | - New value for the field. Key of the distributed virtual port that backs the virtual Ethernet adapter. Depending on the type of the Portgroup, the port may be specified using this field. If the portgroup type is early-binding (also known as static), a port is assigned when the Ethernet adapter is configured to use the port. The port may be either automatically or specifically assigned based on the value of this field . If the portgroup type is ephemeral, the port is created and assigned to a virtual machine when it is powered on and the Ethernet adapter is connected. This field cannot be specified as no free ports exist before use.

Code:
click to view
# Number of lines of code in set_distributed_port: 5
sub set_distributed_port {
my ($self, %args) = @_;
$self->{'distributed_port'} = $args{'distributed_port'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingSpec::set_network | ( |  | ) |

Sets the given value for 'network' property.

Parameters

  network | - New value for the field. Identifier of the network that backs the virtual Ethernet adapter.

Code:
click to view
# Number of lines of code in set_network: 5
sub set_network {
my ($self, %args) = @_;
$self->{'network'} = $args{'network'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingSpec::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Backing type for the virtual Ethernet adapter.

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Vm/Hardware/Ethernet.pm